org.eclipse.swt.browser

## Interface ProgressListener

    public interface ProgressListener

This listener interface may be implemented in order to receive a `ProgressEvent` notification when a `Browser` makes a progress in loading the current URL or when the current URL has been loaded.

Since:
  1.4
See Also:
  `Browser.addProgressListener(ProgressListener)`, `Browser.removeProgressListener(ProgressListener)`, `Browser.getUrl()`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `changed(ProgressEvent event)` This method is called when a progress is made during the loading of the current location.
`void` `completed(ProgressEvent event)` This method is called when the current location has been completely loaded.

### Method Detail

#### changed

    void changed(ProgressEvent event)

This method is called when a progress is made during the loading of the current location.

The following fields in the `ProgressEvent` apply:

- (in) current the progress for the location currently being loaded
- (in) total the maximum progress for the location currently being loaded
- (in) widget the `Browser` whose current URL is being loaded

Parameters:
  `event` - the `ProgressEvent` related to the loading of the current location of a `Browser`

#### completed

    void completed(ProgressEvent event)

This method is called when the current location has been completely loaded.

The following fields in the `ProgressEvent` apply:

- (in) widget the `Browser` whose current URL has been loaded

Parameters:
  `event` - the `ProgressEvent` related to the `Browser` that has loaded its current URL.

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0